Aktualisieren — Produkte
Ändern Sie bestehende Produkte, Preise und Publikationsdaten.
PATCH
/api/v1/products/{product_id}cURL-Anfrage
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/products/example \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-update_product_api_v1_products__product_id__patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"sku":"example"}'
Antwort
{
"data": {
"deleted": false,
"id": "example",
"version": 1
},
"meta": {
"request_id": "example"
}
}
Erforderliche Berechtigungen
- Authentifizierung
- Zugriffstoken
- Verfügbar ab
- STANDARD
- Berechtigung des Schlüssels
- Produkte bearbeiten
catalog.product:update
Wenn du auch Varianten änderst
Wenn du das Feld variant_value_ids sendest, ergänze beim Schlüssel:
Wenn du das Feld variants_enabled sendest, ergänze beim Schlüssel: